/usr/sbin/updatejail is in jailer 0.4-17.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 | #!/bin/sh
#
# Update a jail using a given configuration file
#
KEEP="/dev/log
"
if [ "Q$1" = "Q" ] || [ "Q$2" = "Q" ]
then
echo "Usage: updatejail <config.file> <jail identifier>"
else
if [ ! -r "$1" ] ; then
echo "Cannot read config file $1"
exit 1
fi
JAIL=`cat "$1" | grep Root: | grep "$2$" | awk '{print $2}'`
echo "jail: " $JAIL
echo "config: " $1
if [ -z "$JAIL" ] ; then
echo "Could not determine root location for $2"
exit 1
fi
echo "Press any key to continue...."
read line
if test -d "$JAIL"
then
cd "$JAIL"
tmpfile=`tempfile` || { echo "$0: Cannot create temporary file" >&2; exit 1; }
tmpfile2=`tempfile` || { echo "$0: Cannot create temporary file" >&2; exit 1; }
trap "/bin/rm -f -- \"$tmpfile\" \"$tmpfile2\"" EXIT HUP INT QUIT PIPE TERM
find "$JAIL" \( -type b \
-o -type c \
-o -type p \
-o -type f \
-o -type l \
-o -type s \) -print > $tmpfile
for i in `echo $KEEP`
do
grep -v $JAIL$i $tmpfile > $tmpfile2
mv $tmpfile2 $tmpfile
done
cat $tmpfile | xargs -r rm
/usr/sbin/jailer "$1" "$2"
else
echo "Jail directory '$JAIL' does not exist!"
fi
fi
exit 0
|